# Administration Reference

## volserver

Purpose

Initializes the Volume Server component of the fs process

Synopsis

    volserver [-log]  [-p <number of processes>]
              [-udpsize <size of socket buffer in bytes>]
              [-enable_peer_stats]  [-enable_process_stats]  [-help]

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

Description

The volserver command initializes the Volume Server component of the fs process. In the conventional configuration, its binary file is located in the /usr/afs/bin directory on a file server machine.

The volserver command is not normally issued at the command shell prompt but rather placed into a file server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a database server machine as the local superuser root.

The Volume Server records a trace of its activity in the /usr/afs/logs/VolserLog file. Use the bos getlog command to display the contents of the file.

The Volume Server processes the vos commands that administrators use to create, delete, move, and replicate volumes, as well as prepare them for archiving to tape or other media.

By default, the VL Server runs nine lightweight processes (LWPs). To change the number, use the -p argument.

Options

-log
  Records in the /usr/afs/logs/VolserLog file the names of all users who successfully initiate a vos command. The Volume Server also records any file removals that result from issuing the vos release command with the -f flag.

-p
  Sets the number of server lightweight processes (LWPs) to run. Provide an integer between 4 and 16. The default is 9.

-udpsize
  Sets the size of the UDP buffer, which is 64 KB by default. Provide a positive integer, preferably larger than the default.

-enable_peer_stats
  Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
  Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following bos create command creates a volserver process on the machine fs2.abc.com:

       % bos create -server fs2.abc.com -instance volserver -type simple   \
                     -cmd /usr/afs/bin/volserver

Privilege Required

The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

Related Information

BosConfig

VolserLog

bos create

bos getlog

vos

© IBM Corporation 2000. All Rights Reserved